Company Document Types

Create Company Document Type

Create a new company document type

POST
/api/v1/companies/{companyId}/document-types
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to create a document type for

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://app.recommand.eu/api/v1/companies/string/document-types" \  -H "Content-Type: application/json" \  -d '{    "docTypeId": "string",    "processId": "string"  }'
{
  "success": true,
  "documentType": {
    "id": "string",
    "companyId": "string",
    "docTypeId": "string",
    "processId": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}